Skip to content

List media folders

GET
/public/v1/media/folders
curl --request GET \
--url https://api.loomta.com/public/v1/media/folders \
--header 'Authorization: Bearer <token>'

The workspace’s media folders.

Media typeapplication/json
object
folders
required
Array<object>
object
id
string format: uuid
organizationId
string format: uuid
name
string
createdAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{
"folders": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
]
}

The API key is missing or invalid.

Media typeapplication/json
object
code
required

A stable, machine-readable error code to branch on.

string
message
required

A human-readable description.

string
details

Optional structured detail (for example Zod validation issues).

Examples
{
"code": "missing_api_key",
"message": "A Bearer API key is required."
}